org.jetlang.web

## Class HeaderReader.HeaderLine

- java.lang.Object
- - org.jetlang.web.HeaderReader.HeaderLine

All Implemented Interfaces:
  NioReader.State

Enclosing class:
  HeaderReader<T>

    public class HeaderReader.HeaderLine
    extends Object
    implements NioReader.State

### Constructor Summary

Constructors
Constructor and Description
`HeaderLine(HttpRequest headers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NioReader.State` `processBytes(ByteBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jetlang.web.NioReader.State

`continueReading, minRequiredBytes, onClosed, process`

### Constructor Detail

#### HeaderLine

    public HeaderLine(HttpRequest headers)

### Method Detail

#### processBytes

    public NioReader.State processBytes(ByteBuffer buffer)

Specified by:
  `processBytes` in interface `NioReader.State`